/*
 * $Header: /cvsroot/jdbforms/dbforms/src/org/dbforms/taglib/DbPosTag.java,v 1.12 2004/08/18 12:26:08 hkollmann Exp $
 * $Revision: 1.12 $
 * $Date: 2004/08/18 12:26:08 $
 *
 * DbForms - a Rapid Application Development Framework
 * Copyright (C) 2001 Joachim Peer <joepeer@excite.com>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
 */

package org.dbforms.taglib;

import org.dbforms.util.Util;



/**
 * <p>
 * renders a position to use with keyToDestPos. This is the same string wich
 * would be used as value in the DbassociatedRadioTag.
 * </p>
 */
public class DbPosTag extends DbBaseHandlerTag
   implements javax.servlet.jsp.tagext.TryCatchFinally {
   /**
    * @see javax.servlet.jsp.tagext.TryCatchFinally#doCatch(java.lang.Throwable)
    */
   public void doCatch(Throwable t) throws Throwable {
      throw t;
   }


   /**
    * DOCUMENT ME!
    *
    * @return DOCUMENT ME!
    *
    * @throws javax.servlet.jsp.JspException DOCUMENT ME!
    * @throws JspException DOCUMENT ME!
    */
   public int doEndTag() throws javax.servlet.jsp.JspException {
      try {
         StringBuffer tagBuf = new StringBuffer();
         tagBuf.append(getParentForm().getTable().getId());
         tagBuf.append("_");
         tagBuf.append(getParentForm().getPositionPath());
         pageContext.getOut()
                    .write(Util.decode(tagBuf.toString(),
                                       pageContext.getRequest().getCharacterEncoding()));
      } catch (java.io.IOException ioe) {
         throw new javax.servlet.jsp.JspException("IO Error: "
                                                  + ioe.getMessage());
      }

      return EVAL_PAGE;
   }


   /**
    * DOCUMENT ME!
    */
   public void doFinally() {
      super.doFinally();
   }
}
