/*
 * $Header: /cvsroot/jdbforms/dbforms/src/org/dbforms/config/ForeignKey.java,v 1.5 2004/08/18 12:25:55 hkollmann Exp $
 * $Revision: 1.5 $
 * $Date: 2004/08/18 12:25:55 $
 *
 * DbForms - a Rapid Application Development Framework
 * Copyright (C) 2001 Joachim Peer <joepeer@excite.com>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
 */

package org.dbforms.config;


/**
 * DOCUMENT ME!
 *
 * @author $author$
 * @version $Revision: 1.5 $
 */
public class ForeignKey {
   /** Holds value of property displayType */
   private String displayType;

   /** Holds value of property foreignTable. */
   private String foreignTable;

   /** Holds value of property format. */
   private String format;

   /** Holds value of property name. */
   private String name;

   /** Holds value of property visibleFields. */
   private String visibleFields;

   /** Holds value of property referencesVector. */
   private java.util.Vector referencesVector;

   /** Holds value of property id. */
   private int id;

   /**
    * Creates a new instance of ForeignKeyInfo
    */
   public ForeignKey() {
      referencesVector = new java.util.Vector();
   }

   /**
    * Setter for property displayType.
    *
    * @param displayType New value of property displayType.
    */
   public void setDisplayType(String displayType) {
      this.displayType = displayType;
   }


   /**
    * Getter for property displayType.
    *
    * @return Value of property displayTYpe.
    */
   public String getDisplayType() {
      return this.displayType;
   }


   /**
    * Setter for property foreignTable.
    *
    * @param foreignTable New value of property foreignTable.
    */
   public void setForeignTable(String foreignTable) {
      this.foreignTable = foreignTable;
   }


   /**
    * Getter for property foreignTable.
    *
    * @return Value of property foreignTable.
    */
   public String getForeignTable() {
      return this.foreignTable;
   }


   /**
    * Setter for property format.
    *
    * @param format New value of property format.
    */
   public void setFormat(String format) {
      this.format = format;
   }


   /**
    * Getter for property format.
    *
    * @return Value of property format.
    */
   public String getFormat() {
      return this.format;
   }


   /**
    * Setter for property id.
    *
    * @param id New value of property id.
    */
   public void setId(int id) {
      this.id = id;
   }


   /**
    * Getter for property id.
    *
    * @return Value of property id.
    */
   public int getId() {
      return this.id;
   }


   /**
    * Setter for property name.
    *
    * @param name New value of property name.
    */
   public void setName(String name) {
      this.name = name;
   }


   /**
    * Getter for property name.
    *
    * @return Value of property name.
    */
   public String getName() {
      return this.name;
   }


   /**
    * Getter for property referencesVector.
    *
    * @return Value of property referencesVector.
    */
   public java.util.Vector getReferencesVector() {
      return this.referencesVector;
   }


   /**
    * Setter for property visibleFields.
    *
    * @param visibleFields New value of property visibleFields.
    */
   public void setVisibleFields(String visibleFields) {
      this.visibleFields = visibleFields;
   }


   /**
    * Getter for property visibleFields.
    *
    * @return Value of property visibleFields.
    */
   public String getVisibleFields() {
      return this.visibleFields;
   }


   /**
    * DOCUMENT ME!
    *
    * @param ref DOCUMENT ME!
    */
   public void addReference(Reference ref) {
      referencesVector.add(ref);
   }
}
