/*
 * $Header: /cvsroot/jdbforms/dbforms/src/org/dbforms/util/IFormatEmbeddedData.java,v 1.1 2004/10/12 15:49:46 hkollmann Exp $
 * $Revision: 1.1 $
 * $Date: 2004/10/12 15:49:46 $
 *
 * DbForms - a Rapid Application Development Framework
 * Copyright (C) 2001 Joachim Peer <joepeer@excite.com>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
 */

package org.dbforms.util;

import java.util.Locale;



/**
 * Interface describing an formatter used in EmbeddedData
 */
public interface IFormatEmbeddedData {
   /**
    * DOCUMENT ME!
    *
    * @param fmtArg DOCUMENT ME!
    *
    * @throws IllegalArgumentException DOCUMENT ME!
    */
   public void setFormat(String fmtArg) throws IllegalArgumentException;


   /**
    * DOCUMENT ME!
    *
    * @param locale DOCUMENT ME!
    */
   public void setLocale(Locale locale);


   /**
    * DOCUMENT ME!
    *
    * @return DOCUMENT ME!
    */
   public Locale getLocale();


   /**
    * DOCUMENT ME!
    *
    * @param o DOCUMENT ME!
    *
    * @return DOCUMENT ME!
    */
   public String sprintf(Object[] o);
}
